## mig 1.0

=== DESCRIPTION ===
Package: mig
Type: Package
Title: Multivariate Inverse Gaussian Distribution
Version: 1.0
Authors@R: c(person(given="Frederic", family="Ouimet", email = "frederic.ouimet.23@gmail.com", role = "aut", comment = c(ORCID = "0000-0001-7933-5265")),
             person(given="Leo", family="Belzile", role = c("aut", "cre"), email = "belzilel@gmail.com", comment = c(ORCID = "0000-0002-9135-014X")))
Description: Provides utilities for estimation for the multivariate inverse Gaussian distribution of Minami (2003) <doi:10.1081/STA-120025379>, including random vector generation and explicit estimators of the location vector and scale matrix. The package implements kernel density estimators discussed in Belzile, Desgagnes, Genest and Ouimet (2024) <doi:10.48550/arXiv.2209.04757> for smoothing multivariate data on half-spaces.
BugReports: https://github.com/lbelzile/mig/issues
Imports: statmod, TruncatedNormal (>= 2.3), Rcpp (>= 1.0.12)
Depends: R (>= 2.10)
Suggests: numDeriv, tinytest, knitr, rmarkdown, minqa
LinkingTo: Rcpp, RcppArmadillo
Encoding: UTF-8
LazyData: true
License: MIT + file LICENSE
VignetteBuilder: knitr
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2024-07-12 13:32:47 UTC; lbelzile
Author: Frederic Ouimet [aut] (<https://orcid.org/0000-0001-7933-5265>),
  Leo Belzile [aut, cre] (<https://orcid.org/0000-0002-9135-014X>)
Maintainer: Leo Belzile <belzilel@gmail.com>
Repository: CRAN
Date/Publication: 2024-07-14 12:30:02 UTC

## mig 1.3.1.99.git20120630

=== debian/changelog ===
mig (1.3.1.99.git20120630-1) unstable; urgency=low

  * New git snapshot.

  [ Guillem Jover ]
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Now using Standards-Version 3.9.3.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Remove Marcus Brinkmann, Jeff Bailey and Neal H. Walfield from Uploaders.
    Closes: #503569
  * Use any-i386 in binary package Architecture fields.
  * Update Vcs fields to point to the new git repositories.
  * Remove duplicate Section and Priority fields in the binary stanza
    inherited from the source stanza.
  * Add build-indep and build-arch targets and rename install target to
    install-arch in debian/rules.
  * Pass CFLAGS correctly to $(MAKE), instead of passing them as CCOPTIONS.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Fix a format string build failure in error() function. Add bison to
    Build-Depends as the patch touches parser.y.

  [ Samuel Thibault ]
  * Add Multi-Arch: foreign to allow installing the 32bit version on a 64bit
    system.
  * Add myself as uploader.
  * Add misc:Depends dependency.

 -- Guillem Jover <guillem@debian.org>  Sat, 30 Jun 2012 17:52:09 +0200

mig (1.3.1.99-2) unstable; urgency=low

  * Add Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Refresh patches with -pab.
  * Improve debian/copyright:
    - Refer to GPL-2 from common-licenses instead of just GPL.
    - Fix GPL snippet in debian/copyright to refer to "version 2 or later".
    - Remove repository information from as it is now on debian/control.
  * Line wrap Uploaders field.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 08:08:44 +0300

mig (1.3.1.99-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/args_space.patch: Remove, merged upstream.
    - debian/patches/arg_isystem.patch: Likewise.
    - debian/patches/robust_close.patch: Likewise.

 -- Guillem Jover <guillem@debian.org>  Thu, 14 Dec 2006 08:25:06 +0200

mig (1.3.1-2) unstable; urgency=low

  * Switched to quilt:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules.
    - Switch clean from a double colon target to single colon.
    - Make clean depend on unpatch.
    - Remove now unused debian/patch.mk.
  * Cleaned debian/rules file:
    - Remove the all target.
    - Do not use stamp files for the build target.
    - Move the installation logic from binary-arch to an install target.
    - Remove the manual cruft-removal line from the clean target.
    - Use DESTDIR instead of specifiying again all patch at install time.
    - Reindent the configure arguments.
  * Do not deallocate the out-of-line memory if the request didn't succeed.
    - debian/patches/no_dealloc_ool.patch: New file.
    Thanks to Olaf Buddenhagen <antrik@gmx.net>.
  * Switch to debhelper compat level 5.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Use ascii single quotes in the manpage.

 -- Guillem Jover <guillem@debian.org>  Mon, 13 Nov 2006 06:30:18 +0200

mig (1.3.1-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/types.patch: Integrated upstream. Removed.
  * Added a watch file.
  * Added a manpage for mig.
  * Cleaned debian/copyright file:
    - Update FSF address.
    - Updated upstream download address.
    - Change references to Debian to be system neutral.
    - Added initial date of packaging.
    - Added Debian subversion packaging repository.
    - Remove C style comments from license statements and reindent.
  * Now using Standards-Version 3.6.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 17 Nov 2005 03:32:43 +0200

mig (1.3-4) unstable; urgency=low

  * Support -isystem properly.
    Thanks to Thomas Schwinge <schwinge@nic-nac-project.de>.
  * Support spaces in arguments.
    Thanks to Thomas Schwinge <schwinge@nic-nac-project.de>.

 -- Guillem Jover <guillem@debian.org>  Thu,  2 Jun 2005 23:17:42 +0300

mig (1.3-3) unstable; urgency=low

  * Changed Maintainer address.
  * Added former implicit maintainers to Uploaders.
  * Added myself to Uploaders.
  * Split patches into debian/patches.
  * Make closing files more robust.
    - debian/patches/robust_close.patch: New file.
    Thanks to Ognyan Kulev <ogi@fmi.uni-sofia.bg>.
  * Added gnumach-dev and flex to Build-Depends. (Closes: #246254)
    Thanks Magnus Ekdahl <maguno@ludd.ltu.se>.
  * Enable i386, kfreebsd-i386 and knetbsd-i386 architectures.
  * Switched to debhelper.
  * Now using Standards-Version 3.6.1.

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Oct 2004 08:50:56 +0200

mig (1.3-2) unstable; urgency=low

  * New CVS snapshot.
  * debian/control: Add Uploaders.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon,  5 Aug 2002 00:13:00 +0200

mig (1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump standards version.
    Update description.
  * debian/README: Update description.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu,  7 Mar 2002 21:55:43 +0100

mig (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Marcus Brinkmann <brinkmd@debian.org>  Fri,  8 Jun 2001 18:18:53 +0200

mig (1.1-1) unstable; urgency=low

  * CVS snapshot from new upstream release.

 -- Marcus Brinkmann <brinkmd@debian.org>  Tue,  4 Jul 2000 21:58:26 +0200

mig (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon, 24 May 1999 01:29:26 +0200

mig (1.0.1-1) unstable; urgency=low

  * Initial Release.


=== debian/control ===
Source: mig
Section: devel
Priority: standard
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/mig.html
Vcs-Browser: http://git.debian.org/?p=pkg-hurd/mig.git
Vcs-Git: git://git.debian.org/pkg-hurd/mig.git
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), gnumach-dev, flex, bison
Standards-Version: 3.9.3

Package: mig
Architecture: any-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU Mach Interface Generator
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.

=== debian/rules ===
#!/usr/bin/make -f
#
# Based on the work by Marcus Brinkmann <brinkmd@debian.org>
# Rewritten by Guillem Jover <guillem@debian.org>
#

pkg := mig

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := -Wall -pipe $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS :=  $(shell dpkg-buildflags --get LDFLAGS)

configure: stamp-configure
stamp-configure:
	dh_testdir
	
	-mkdir build
	cd build && ../configure \
	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
	  --prefix=/usr \
	  --libexecdir=/usr/lib/mig/
	
	touch stamp-configure

build-indep:

build-arch: configure
	dh_testdir
	
	$(MAKE) -C build \
	  CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-indep build-arch

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	
	dh_installdirs
	
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/$(pkg) install

clean:
	dh_testdir
	
	rm -f stamp-configure
	rm -rf build
	
	dh_clean

binary-indep:
	# Nothing to do.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: configure build-indep build-arch build install-arch
.PHONY: binary-indep binary-arch binary clean

## mig 1.4

=== debian/changelog ===
mig (1.4-2) unstable; urgency=medium

  * patches/generate-inlines.patch: Upstream patch to inline demuxers.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Feb 2014 23:14:00 +0000

mig (1.4-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream release.
  * patches/{format-string.patch,no_dealloc_ool.patch}: Remove patches, merged
    upstream.

  [ Pino Toscano ]
  * Bump the debhelper compatibility to 9:
    - Bump compat to 9.
    - Bump the debhelper build dependency to >= 9.
  * Rewrite rules making use of the sequential `dh'.
  * Run autoreconf before build, since the upstream snapshot from Git has
    no autogenerated autotools files:
    - Use the autoreconf dh addon, and build depend on dh-autoreconf for it.
    - Clean the build-aux directory.
  * Fix Vcs-* keys to point to anonscm.debian.org.
  * Fix Homepage. (Closes: #561714)
  * format-string.patch: add DEP3 headers.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Sep 2013 10:18:08 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>,
  Samuel Thibault <sthibault@debian.org>
-Homepage: http://www.gnu.org/software/hurd/mig.html
-Vcs-Browser: http://git.debian.org/?p=pkg-hurd/mig.git
-Vcs-Git: git://git.debian.org/pkg-hurd/mig.git
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), gnumach-dev, flex, bison
+Homepage: http://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-hurd/mig.git
+Vcs-Git: git://anonscm.debian.org/pkg-hurd/mig.git
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9), gnumach-dev, flex, bison,
+ dh-autoreconf
 Standards-Version: 3.9.3
 
 Package: mig

=== debian/rules ===
#!/usr/bin/make -f
#
# Based on the work by Marcus Brinkmann <brinkmd@debian.org>
# Rewritten by Guillem Jover <guillem@debian.org>
# Rewritten to use `dh' by Pino Toscano <pino@debian.org>
#

export DEB_CFLAGS_MAINT_PREPEND := -Wall -pipe

%:
	dh $@ -Bbuild --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -Bbuild -- \
	  --libexecdir=/usr/lib/mig/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-aux

## mig 1.8

=== debian/changelog ===
mig (1.8-4) unstable; urgency=medium

  * patches/inline: Port upstream fix for inline standard issue.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Jul 2018 16:16:08 +0000

mig (1.8-3) unstable; urgency=medium

  * patches/memcpy: Port upstream fix for type-punning warnings.
  * patches/const: Port upstream fix for const warnings.
  * control: Break gnumach-dev and hurd-dev which do not provide const types.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Feb 2018 22:49:09 +0000

mig (1.8-2) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * patches/warning: port upstream fix for MACH_MSG_TYPE_POLYMORPHIC warning.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jan 2018 17:29:20 +0100

mig (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Add libfl-dev build dependency.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Dec 2016 14:43:31 +0000

mig (1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 May 2016 23:29:01 +0000

mig (1.6+git20160502-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 May 2016 22:46:07 +0000

mig (1.6-1) unstable; urgency=medium

  * New upstream release.
    - patches/git-23e8415: Merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Nov 2015 21:51:02 +0000

mig (1.5-5) unstable; urgency=medium

  * patches/git-R-type-punned.patch: Drop patch, gdb build is now fine with it.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Sep 2015 21:51:48 +0000

mig (1.5-4) unstable; urgency=medium

  * patches/git-23e8415: Cherry-pick from upstream to fix gdb build.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Sep 2015 20:31:25 +0000

mig (1.5-3) unstable; urgency=medium

  * Also add the gnu type alias for mig, like gcc.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 Sep 2015 00:31:04 +0000

mig (1.5-2) unstable; urgency=medium

  * rules, control: Support building a cross-compiling mig.
  * rules: Bump dpkg-dev build-dep version to get target triplet.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Aug 2015 13:48:46 +0000

mig (1.5-1) unstable; urgency=medium

  * New upstream release
  * patches/git-R-type-punned.patch: Revert upstream patch to avoid breaking
    gdb build for now.
  * patches/git-{c-strings,generate-inlines,protected-payload}.patch: Removed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 16 Apr 2015 23:35:12 +0000

mig (1.4-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/git-c-strings.patch: Upstream patch to fix variable-sized c
    strings.
  * patches/git-protected-payload.patch: Upstream patch to add protected payload
    support.

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Nov 2014 15:14:41 +0000

=== debian/control ===
Source: mig
Section: devel
Priority: standard
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html
Vcs-Browser: https://anonscm.debian.org/git/pkg-hurd/mig.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hurd/mig.git
Build-Depends: dpkg-dev (>= 1.17.14), debhelper (>= 9), gnumach-dev, flex, libfl-dev, bison,
 dh-autoreconf
Standards-Version: 3.9.3

Package: mig
Architecture: any-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gnumach-dev (<< 2:1.8+git20171101-2~), hurd-dev (<< 1:0.9.git20180129~)
Description: GNU Mach Interface Generator
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,59 @@
 
 export DEB_CFLAGS_MAINT_PREPEND := -Wall -pipe
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_TARGET_ARCH)
+
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_TARGET_GNU_TYPE := $(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)
+
 %:
 	dh $@ -Bbuild --with autoreconf
 
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_TARGET_GNU_TYPE))
+ARCH=any-i386
+else
+CONFIGURE_OPTIONS = \
+	  --build=$(DEB_BUILD_GNU_TYPE) \
+	  --host=$(DEB_HOST_GNU_TYPE) \
+	  --target=$(DEB_TARGET_GNU_TYPE)
+CROSS=-$(DEB_TARGET_GNU_TYPE)
+CROSSDEP=:$(DEB_TARGET_ARCH)
+ARCH=$(DEB_HOST_ARCH)
+# The cross compiler at this stage does not have these in its standard include
+export TARGET_CPPFLAGS = -I/usr/include -I/usr/include/$(DEB_TARGET_GNU_TYPE)
+endif
+debian/control: debian/control.stamp
+debian/control.stamp: debian/control.in
+	sed -e 's/@cross@/$(CROSS)/' \
+	    -e 's/@crossdep@/$(CROSSDEP)/' \
+	    -e 's/@arch@/$(ARCH)/' \
+	    < $< > debian/control
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_TARGET_GNU_TYPE))
+	sed -i -e '/^Multi-Arch: /d' debian/control
+endif
+	touch $@
+
 override_dh_auto_configure:
 	dh_auto_configure -Bbuild -- \
-	  --libexecdir=/usr/lib/mig/
+	  --libexecdir=/usr/lib/mig/ \
+	  $(CONFIGURE_OPTIONS)
+
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_TARGET_GNU_TYPE))
+build-arch: debian/control.stamp
+build-indep:
+build: build-indep build-arch
+endif
+
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_TARGET_GNU_TYPE))
+# Make sure we always also have the gnu type alias, like gcc
+override_dh_auto_install:
+	dh_auto_install
+	ln -sf mig debian/mig/usr/bin/$(DEB_TARGET_GNU_TYPE)-mig
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf build-aux
+	rm -rf build-aux debian/control.stamp

=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/mig/	mig-(.*)\.tar\.gz	debian	uupdate

## mig 1.8%2Bgit20231217

=== debian/changelog ===
mig (1.8+git20231217-1) unstable; urgency=medium

  * New upstream snapshot.
    - control: Bump gnumach build-dep/dep accordingly.
    - patches/git-amd64: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 18 Dec 2023 00:30:03 +0100

mig (1.8+git20230520-7) unstable; urgency=medium

  * patches/64bit: Update code generation to handle the new 64 bit ABI.
  * control: Bump gnumach-dev dep accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Sep 2023 11:02:49 +0200

mig (1.8+git20230520-6) unstable; urgency=medium

  * rules: Drop :any, it actually breaks the dependency.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 May 2023 14:42:44 +0200

mig (1.8+git20230520-5) unstable; urgency=medium

  * control.in: Really fix typo.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 May 2023 13:51:11 +0200

mig (1.8+git20230520-4) unstable; urgency=medium

  * control: Fix typo.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 May 2023 13:50:02 +0200

mig (1.8+git20230520-3) unstable; urgency=medium

  * control: Make mig-for-host require only at least the same upstream
    version, to avoid a binNMU-ed mig-for-host package trying to upgrade the
    cross mig.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 May 2023 13:48:31 +0200

mig (1.8+git20230520-2) unstable; urgency=medium

  * control: Make mig-for-host accept any host mig compiler.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 May 2023 13:34:22 +0200

mig (1.8+git20230520-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 May 2023 00:37:28 +0200

mig (1.8+git20230502-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/memcpy: Upstreamed.
    - patches/git-no-msg_type: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 May 2023 20:59:31 +0000

mig (1.8+git20221221-3) unstable; urgency=medium

  * patches/memcpy: Memcpy fixes.
  * patches/git-no-msg_type: Avoid including msg_type.h.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Feb 2023 22:38:59 +0000

mig (1.8+git20221221-2) unstable; urgency=medium

  * rules: Enable cross-build for pure cross-builds only.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jan 2023 23:25:09 +0100

mig (1.8+git20221221-1) unstable; urgency=medium

  * New upstream snapshot.
    - Provides intptr_t and uintptr_t as default types.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Dec 2022 12:47:33 +0100

mig (1.8+git20221111-1) unstable; urgency=medium

  * New upstream snapshot.
    - Supports structures in mig types.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Nov 2022 15:39:48 +0000

mig (1.8+git20220827-2) unstable; urgency=medium

  * control: Explicit that the mig package is Multi-Arch: no, as installing it
    is precisely meant to install a mig-for-host.
  * rules: Fix building canadian cross mig.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Oct 2022 16:17:33 +0100

mig (1.8+git20220827-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
    - patches/const_dev_name_t: Upstreamed.
    - patches/const_string_t: Upstreamed.
    - patches/server_const: Upstreamed.
    - control: Bump gnumach-dev build-dep accordingly.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name (from
    ./configure).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Aug 2022 21:58:39 +0000

mig (1.8+git20200618-10) unstable; urgency=medium

  * control, rules: Remove mig-linux-gnu-* and mig-kfreebsd-gnu-* packages, on
    linux and kfreebsd we'd still target the gnu system. Keep the mig package
    only on hurd host. Extend non-crossbuild to same-cpu host/target case, but
    use -gnu tool names. (Closes: #1005959)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Mar 2022 00:51:45 +0100

mig (1.8+git20200618-9) unstable; urgency=medium

  * rules: Pass CFLAGS / CPPFLAGS for target builds.
  * rules: Use binary:Version for crosspackage dependencies.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 Feb 2022 23:13:14 +0100

mig (1.8+git20200618-8) unstable; urgency=medium

  * control.target.in: Fix Breaks line.
  * rules: Support GNU architecture names containing _.
  * rules: Make mig and mig-for-host depend on the same version of the host mig,
    for versioned dependency to actually have effect.
  * control, rules: Enable amd64 build.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Feb 2022 18:49:42 +0100

mig (1.8+git20200618-7) unstable; urgency=medium

  * control: Bump gnumach-dev break again for other const types.
  * patches/server_const: Also add const qualifiers on server side.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Jan 2022 17:57:41 +0000

mig (1.8+git20200618-6) unstable; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/const_dev_name_t: Make dev_name_t always use const_dev_name_t.
    - control: Bump gnumach-dev break accordingly.
  * rules: Don't remove build-aux on clean.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Jan 2022 10:54:24 +0000

mig (1.8+git20200618-5) unstable; urgency=medium

  * rules: Drop useless --with autoreconf request.
  * patches/const_string_t: Make string_t always use const_string_t.
  * control.in: Really update control file.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Dec 2020 10:01:51 +0100

mig (1.8+git20200618-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.5.0 (no change).
  * control: Bump debhelper compat to 12.
    - control: Drop now-spurious dh-autoreconf build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 01:51:03 +0100

mig (1.8+git20200618-3) unstable; urgency=medium

  * rules: Keep mig-$target multi-arch:foreign, we don't use plugins.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Jun 2020 00:46:06 +0200



=== debian/control ===
Source: mig
Section: devel
Priority: optional
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html
Vcs-Browser: https://salsa.debian.org/hurd-team/mig
Vcs-Git: https://salsa.debian.org/hurd-team/mig.git
Build-Depends: dpkg-dev (>= 1.17.14), debhelper-compat (= 12), dh-exec,
 gnumach-dev (>= 2:1.8+git20231217~),
 flex, libfl-dev, bison
Rules-Requires-Root: no
Standards-Version: 4.6.0
#Note: XXX this file is generated from .in files, see debian/rules

Package: mig
Architecture: hurd-i386 hurd-amd64
Multi-Arch: no
Depends: ${misc:Depends}, ${mig:host}
Description: GNU Mach Interface Generator
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides a mig command that generates interfaces for the host
 architecture of this package.

Package: mig-for-host
Architecture: any-i386 any-amd64
Multi-Arch: same
Depends: ${misc:Depends}, ${mig:host}
Description: GNU Mach Interface Generator - metapackage for host
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 Like the mig package, this produces interfaces for the host architecture of
 this package, but as a triplet-mig command which is possibly a cross-generator.

Package: mig-i686-gnu
Architecture: any-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20211230-6~), hurd-dev (<< 1:0.9.git20180129~)
Replaces: mig (<< 1.8-7)
Description: GNU Mach Interface Generator for i386 GNU/Hurd
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides the generator targetting GNU arch
 i686-gnu for the i386 GNU/Hurd Debian port.

Package: mig-x86-64-gnu
Architecture: any-amd64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20211230-6~), hurd-dev (<< 1:0.9.git20180129~)
Replaces: mig (<< 1.8-7)
Description: GNU Mach Interface Generator for amd64 GNU/Hurd
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides the generator targetting GNU arch
 x86-64-gnu for the amd64 GNU/Hurd Debian port.

=== debian/rules ===
#!/usr/bin/make -f
#
# Based on the work by Marcus Brinkmann <brinkmd@debian.org>
# Rewritten by Guillem Jover <guillem@debian.org>
# Rewritten to use `dh' by Pino Toscano <pino@debian.org>
#

export DEB_CFLAGS_MAINT_PREPEND := -Wall -pipe

include /usr/share/dpkg/architecture.mk

PKG_DEB_TARGET_GNU_CPU=$(subst _,-,$(DEB_TARGET_GNU_CPU))
PKG_DEB_HOST_GNU_CPU=$(subst _,-,$(DEB_HOST_GNU_CPU))

%:
	dh $@ -Bbuild

NATIVE_ARCHS=hurd-i386 hurd-amd64

export TARGET_CFLAGS = $(CFLAGS)

ifeq ($(DEB_HOST_ARCH),$(DEB_TARGET_ARCH))
# CPU compatibility is enough to cross-build trivially
CONFIGURE_OPTIONS = \
	  --program-prefix=$(DEB_TARGET_GNU_CPU)-gnu-
ARCHS=$(NATIVE_ARCHS)
define d_a
$(shell dpkg-architecture -f -a$1 -A$1 -q$2 2> /dev/null)
endef
export TARGET_CPPFLAGS = $(CPPFLAGS)
else
CONFIGURE_OPTIONS = \
	  --program-prefix=$(DEB_TARGET_GNU_CPU)-gnu- \
	  --build=$(DEB_BUILD_GNU_TYPE) \
	  --host=$(DEB_HOST_GNU_TYPE) \
	  --target=$(DEB_TARGET_GNU_TYPE)
CROSSDEP=:$(DEB_TARGET_ARCH)
ARCHS=$(DEB_TARGET_ARCH)
# The cross compiler at this stage does not have these in its standard include
export TARGET_CPPFLAGS = -I/usr/include -I/usr/include/$(DEB_TARGET_GNU_TYPE) -I/usr/include/$(DEB_TARGET_MULTIARCH) $(CPPFLAGS)
define d_a
$($2)
endef
endif

debian/control: debian/control.stamp
debian/control.stamp: debian/control.in debian/control.native.in debian/control.target.in debian/rules
	sed -e 's/@crossdep@/$(CROSSDEP)/' < debian/control.in > debian/control
	echo "#Note: XXX this file is generated from .in files, see debian/rules" >> debian/control

ifeq ($(DEB_HOST_GNU_CPU),$(DEB_TARGET_GNU_CPU))
	cat debian/control.native.in >> debian/control
endif

	$(foreach a,$(ARCHS), \
	  sed -e 's/@target@/$(subst _,-,$(call d_a,$a,DEB_TARGET_GNU_CPU)-gnu)/' \
	      -e 's/@debtarget@/$(call d_a,$a,DEB_TARGET_ARCH_CPU) GNU\/Hurd/' \
	      -e 's/@debhost@/any-$(call d_a,$a,DEB_HOST_ARCH_CPU)/' \
	  < debian/control.target.in >> debian/control ; )

	touch $@

override_dh_auto_configure:
	dh_auto_configure -Bbuild -- \
	  --libexecdir=/usr/lib/mig/ \
	  $(CONFIGURE_OPTIONS)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_TARGET_GNU_TYPE))
build-arch: debian/control.stamp
build-indep:
build: build-indep build-arch
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install
	dh_install -pmig-$(PKG_DEB_TARGET_GNU_CPU)-gnu /usr/lib/mig/$(DEB_TARGET_GNU_CPU)-gnu-migcom
	dh_install -pmig-$(PKG_DEB_TARGET_GNU_CPU)-gnu /usr/bin/$(DEB_TARGET_GNU_CPU)-gnu-mig

override_dh_gencontrol:
	dh_gencontrol -- -V"mig:host=mig-$(PKG_DEB_HOST_GNU_CPU)-gnu (>= \$${source:Upstream-Version})"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/control.stamp

## mig 1.8+git20200618

=== debian/control ===
Source: mig
Section: devel
Priority: optional
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html
Vcs-Browser: https://salsa.debian.org/hurd-team/mig
Vcs-Git: https://salsa.debian.org/hurd-team/mig.git
Build-Depends: dpkg-dev (>= 1.17.14), debhelper-compat (= 12), dh-exec,
 gnumach-dev,
 flex, libfl-dev, bison
Standards-Version: 4.5.0
#Note: this file is generated from .in files, see debian/rules

Package: mig
Architecture: any-i386
Depends: ${misc:Depends}, ${mig:host}
Description: GNU Mach Interface Generator
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides a mig command that generates interfaces for the host
 architecture of this package.

Package: mig-for-host
Architecture: any-i386
Multi-Arch: same
Depends: ${misc:Depends}, ${mig:host}
Description: GNU Mach Interface Generator - metapackage for host
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 Like the mig package, this produces interfaces for the host architecture of
 this package, but as a triplet-mig command which is possibly a cross-generator.

Package: mig-i686-linux-gnu
Architecture: i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20171101-2~), hurd-dev (<< 1:0.9.git20180129~)
Replaces: mig (<< 1.8-7)
Description: GNU Mach Interface Generator for i386
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides the generator targetting GNU arch
 i686-linux-gnu for the i386 Debian port.

Package: mig-i686-gnu
Architecture: hurd-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20171101-2~), hurd-dev (<< 1:0.9.git20180129~)
Replaces: mig (<< 1.8-7)
Description: GNU Mach Interface Generator for hurd-i386
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides the generator targetting GNU arch
 i686-gnu for the hurd-i386 Debian port.

Package: mig-i686-kfreebsd-gnu
Architecture: kfreebsd-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20171101-2~), hurd-dev (<< 1:0.9.git20180129~)
Replaces: mig (<< 1.8-7)
Description: GNU Mach Interface Generator for kfreebsd-i386
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides the generator targetting GNU arch
 i686-kfreebsd-gnu for the kfreebsd-i386 Debian port.

=== debian/rules ===
#!/usr/bin/make -f
#
# Based on the work by Marcus Brinkmann <brinkmd@debian.org>
# Rewritten by Guillem Jover <guillem@debian.org>
# Rewritten to use `dh' by Pino Toscano <pino@debian.org>
#

export DEB_CFLAGS_MAINT_PREPEND := -Wall -pipe

include /usr/share/dpkg/architecture.mk

%:
	dh $@ -Bbuild

NATIVE_ARCHS=i386 hurd-i386 kfreebsd-i386

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_TARGET_GNU_TYPE))
CONFIGURE_OPTIONS = \
	  --program-prefix=$(DEB_TARGET_GNU_TYPE)-
ARCHS=$(NATIVE_ARCHS)
define d_a
$(shell dpkg-architecture -a$1 -A$1 -q$2 2> /dev/null)
endef
else
CONFIGURE_OPTIONS = \
	  --build=$(DEB_BUILD_GNU_TYPE) \
	  --host=$(DEB_HOST_GNU_TYPE) \
	  --target=$(DEB_TARGET_GNU_TYPE)
CROSSDEP=:$(DEB_TARGET_ARCH)
ARCHS=$(DEB_TARGET_ARCH)
# The cross compiler at this stage does not have these in its standard include
export TARGET_CPPFLAGS = -I/usr/include -I/usr/include/$(DEB_TARGET_GNU_TYPE) -I/usr/include/$(DEB_TARGET_MULTIARCH)
define d_a
$($2)
endef
endif

debian/control: debian/control.stamp
debian/control.stamp: debian/control.in debian/control.native.in debian/control.target.in debian/rules
	sed -e 's/@crossdep@/$(CROSSDEP)/' < debian/control.in > debian/control
	echo "#Note: XXX this file is generated from .in files, see debian/rules" >> debian/control

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_TARGET_GNU_TYPE))
	cat debian/control.native.in >> debian/control
endif

	$(foreach a,$(ARCHS), \
	  sed -e 's/@target@/$(call d_a,$a,DEB_TARGET_GNU_TYPE)/' \
	      -e 's/@debtarget@/$(call d_a,$a,DEB_TARGET_ARCH)/' \
	      -e 's/@debhost@/$(call d_a,$a,DEB_HOST_ARCH)/' \
	  < debian/control.target.in >> debian/control ; )

	touch $@

override_dh_auto_configure:
	dh_auto_configure -Bbuild -- \
	  --libexecdir=/usr/lib/mig/ \
	  $(CONFIGURE_OPTIONS)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_TARGET_GNU_TYPE))
build-arch: debian/control.stamp
build-indep:
build: build-indep build-arch
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install
	dh_install -pmig-$(DEB_TARGET_GNU_TYPE) /usr/lib/mig/$(DEB_TARGET_GNU_TYPE)-migcom
	dh_install -pmig-$(DEB_TARGET_GNU_TYPE) /usr/bin/$(DEB_TARGET_GNU_TYPE)-mig

override_dh_gencontrol:
	dh_gencontrol -- -V"mig:host=mig-$(DEB_HOST_GNU_TYPE)"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-aux debian/control.stamp

=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/mig/	mig-@ANY_VERSION@@ARCHIVE_EXT@	debian	uupdate

## mig 1.8+git20221221

=== debian/control ===
Source: mig
Section: devel
Priority: optional
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html
Vcs-Browser: https://salsa.debian.org/hurd-team/mig
Vcs-Git: https://salsa.debian.org/hurd-team/mig.git
Build-Depends: dpkg-dev (>= 1.17.14), debhelper-compat (= 12), dh-exec,
 gnumach-dev (>= 2:1.8+git20220827-1),
 flex, libfl-dev, bison
Rules-Requires-Root: no
Standards-Version: 4.6.0
#Note: XXX this file is generated from .in files, see debian/rules

Package: mig
Architecture: hurd-i386 hurd-amd64
Multi-Arch: no
Depends: ${misc:Depends}, ${mig:host}
Description: GNU Mach Interface Generator
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides a mig command that generates interfaces for the host
 architecture of this package.

Package: mig-for-host
Architecture: any-i386 any-amd64
Multi-Arch: same
Depends: ${misc:Depends}, ${mig:host}
Description: GNU Mach Interface Generator - metapackage for host
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 Like the mig package, this produces interfaces for the host architecture of
 this package, but as a triplet-mig command which is possibly a cross-generator.

Package: mig-i686-gnu
Architecture: any-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20211230-6~), hurd-dev (<< 1:0.9.git20180129~)
Replaces: mig (<< 1.8-7)
Description: GNU Mach Interface Generator for i386 GNU/Hurd
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides the generator targetting GNU arch
 i686-gnu for the i386 GNU/Hurd Debian port.

Package: mig-x86-64-gnu
Architecture: any-amd64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20211230-6~), hurd-dev (<< 1:0.9.git20180129~)
Replaces: mig (<< 1.8-7)
Description: GNU Mach Interface Generator for amd64 GNU/Hurd
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides the generator targetting GNU arch
 x86-64-gnu for the amd64 GNU/Hurd Debian port.

=== debian/rules ===
#!/usr/bin/make -f
#
# Based on the work by Marcus Brinkmann <brinkmd@debian.org>
# Rewritten by Guillem Jover <guillem@debian.org>
# Rewritten to use `dh' by Pino Toscano <pino@debian.org>
#

export DEB_CFLAGS_MAINT_PREPEND := -Wall -pipe

include /usr/share/dpkg/architecture.mk

PKG_DEB_TARGET_GNU_CPU=$(subst _,-,$(DEB_TARGET_GNU_CPU))
PKG_DEB_HOST_GNU_CPU=$(subst _,-,$(DEB_HOST_GNU_CPU))

%:
	dh $@ -Bbuild

NATIVE_ARCHS=hurd-i386 hurd-amd64

export TARGET_CFLAGS = $(CFLAGS)

ifeq ($(DEB_HOST_ARCH),$(DEB_TARGET_ARCH))
# CPU compatibility is enough to cross-build trivially
CONFIGURE_OPTIONS = \
	  --program-prefix=$(DEB_TARGET_GNU_CPU)-gnu-
ARCHS=$(NATIVE_ARCHS)
define d_a
$(shell dpkg-architecture -f -a$1 -A$1 -q$2 2> /dev/null)
endef
export TARGET_CPPFLAGS = $(CPPFLAGS)
else
CONFIGURE_OPTIONS = \
	  --program-prefix=$(DEB_TARGET_GNU_CPU)-gnu- \
	  --build=$(DEB_BUILD_GNU_TYPE) \
	  --host=$(DEB_HOST_GNU_TYPE) \
	  --target=$(DEB_TARGET_GNU_TYPE)
CROSSDEP=:$(DEB_TARGET_ARCH)
ARCHS=$(DEB_TARGET_ARCH)
# The cross compiler at this stage does not have these in its standard include
export TARGET_CPPFLAGS = -I/usr/include -I/usr/include/$(DEB_TARGET_GNU_TYPE) -I/usr/include/$(DEB_TARGET_MULTIARCH) $(CPPFLAGS)
define d_a
$($2)
endef
endif

debian/control: debian/control.stamp
debian/control.stamp: debian/control.in debian/control.native.in debian/control.target.in debian/rules
	sed -e 's/@crossdep@/$(CROSSDEP)/' < debian/control.in > debian/control
	echo "#Note: XXX this file is generated from .in files, see debian/rules" >> debian/control

ifeq ($(DEB_HOST_GNU_CPU),$(DEB_TARGET_GNU_CPU))
	cat debian/control.native.in >> debian/control
endif

	$(foreach a,$(ARCHS), \
	  sed -e 's/@target@/$(subst _,-,$(call d_a,$a,DEB_TARGET_GNU_CPU)-gnu)/' \
	      -e 's/@debtarget@/$(call d_a,$a,DEB_TARGET_ARCH_CPU) GNU\/Hurd/' \
	      -e 's/@debhost@/any-$(call d_a,$a,DEB_HOST_ARCH_CPU)/' \
	  < debian/control.target.in >> debian/control ; )

	touch $@

override_dh_auto_configure:
	dh_auto_configure -Bbuild -- \
	  --libexecdir=/usr/lib/mig/ \
	  $(CONFIGURE_OPTIONS)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_TARGET_GNU_TYPE))
build-arch: debian/control.stamp
build-indep:
build: build-indep build-arch
endif

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install
	dh_install -pmig-$(PKG_DEB_TARGET_GNU_CPU)-gnu /usr/lib/mig/$(DEB_TARGET_GNU_CPU)-gnu-migcom
	dh_install -pmig-$(PKG_DEB_TARGET_GNU_CPU)-gnu /usr/bin/$(DEB_TARGET_GNU_CPU)-gnu-mig

override_dh_gencontrol:
	dh_gencontrol -- -V"mig:host=mig-$(PKG_DEB_HOST_GNU_CPU)-gnu (= \$${binary:Version})"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/control.stamp

## mig 1.8+git20231217

=== debian/changelog ===
mig (1.8+git20231217-8) unstable; urgency=medium

  * tests: Run make check in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Jun 2025 01:33:19 +0200

mig (1.8+git20231217-7) unstable; urgency=medium

  * patches/struct-64b: Fix 64b alignment of structures with 64b fields.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Jun 2025 17:38:46 +0200

mig (1.8+git20231217-6) unstable; urgency=medium

  * control: Generalize mig and mig-for-host on all archs.
  * patches/string_t: Ensure that strings in the request are null terminated
    before calling the server routine.
  * patches/gcc-15: Fix build with gcc-15 (Closes: Bug#1097397)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 23:18:47 +0200

mig (1.8+git20231217-5) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2024 21:04:06 +0200

mig (1.8+git20231217-4) experimental; urgency=medium

  * control, rules: Add arm64 packages.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Jul 2024 13:25:01 +0200

mig (1.8+git20231217-3) unstable; urgency=medium

  * patches/portarray-inline-restore-on-error: Fix bogus port deallocation on
    server error.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Jul 2024 16:34:23 +0200

mig (1.8+git20231217-2) unstable; urgency=medium

  * rules: Fix taking target compilation flags.
  * patches/implicit-declaration: Fix build with gcc-14 (Closes: Bug#1075272)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2024 20:02:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Vcs-Browser: https://salsa.debian.org/hurd-team/mig
 Vcs-Git: https://salsa.debian.org/hurd-team/mig.git
 Build-Depends: dpkg-dev (>= 1.17.14), debhelper-compat (= 12), dh-exec,
- gnumach-dev (>= 2:1.8+git20220827-1),
+ gnumach-dev (>= 2:1.8+git20231217~),
  flex, libfl-dev, bison
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 #Note: XXX this file is generated from .in files, see debian/rules
 
 Package: mig
-Architecture: hurd-i386 hurd-amd64
+Architecture: hurd-any
 Multi-Arch: no
 Depends: ${misc:Depends}, ${mig:host}
 Description: GNU Mach Interface Generator
@@ -25,7 +25,7 @@
  architecture of this package.
 
 Package: mig-for-host
-Architecture: any-i386 any-amd64
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${mig:host}
 Description: GNU Mach Interface Generator - metapackage for host
@@ -39,7 +39,7 @@
 Architecture: any-i386
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20211230-6~), hurd-dev (<< 1:0.9.git20180129~)
+Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20231217~), hurd-dev (<< 1:0.9.git20180129~)
 Replaces: mig (<< 1.8-7)
 Description: GNU Mach Interface Generator for i386 GNU/Hurd
  This is the GNU distribution of the MIG, which is needed to compile
@@ -52,7 +52,7 @@
 Architecture: any-amd64
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20211230-6~), hurd-dev (<< 1:0.9.git20180129~)
+Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20231217~), hurd-dev (<< 1:0.9.git20180129~)
 Replaces: mig (<< 1.8-7)
 Description: GNU Mach Interface Generator for amd64 GNU/Hurd
  This is the GNU distribution of the MIG, which is needed to compile
@@ -60,3 +60,16 @@
  .
  This package provides the generator targetting GNU arch
  x86-64-gnu for the amd64 GNU/Hurd Debian port.
+
+Package: mig-aarch64-gnu
+Architecture: any-arm64
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20231217~), hurd-dev (<< 1:0.9.git20180129~)
+Replaces: mig (<< 1.8-7)
+Description: GNU Mach Interface Generator for arm64 GNU/Hurd
+ This is the GNU distribution of the MIG, which is needed to compile
+ the GNU C library, the GNU Hurd and GNU Mach.
+ .
+ This package provides the generator targetting GNU arch
+ aarch64-gnu for the arm64 GNU/Hurd Debian port.

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,10 @@
 %:
 	dh $@ -Bbuild
 
-NATIVE_ARCHS=hurd-i386 hurd-amd64
+NATIVE_ARCHS=i386 amd64 arm64
 
-export TARGET_CFLAGS = $(CFLAGS)
+export TARGET_CFLAGS = $(shell DEB_HOST_ARCH=$(DEB_TARGET_ARCH) dpkg-buildflags --get CFLAGS)
+export TARGET_CPPFLAGS = $(shell DEB_HOST_ARCH=$(DEB_TARGET_ARCH) dpkg-buildflags --get CPPFLAGS)
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_TARGET_ARCH))
 # CPU compatibility is enough to cross-build trivially
@@ -27,7 +28,6 @@
 define d_a
 $(shell dpkg-architecture -f -a$1 -A$1 -q$2 2> /dev/null)
 endef
-export TARGET_CPPFLAGS = $(CPPFLAGS)
 else
 CONFIGURE_OPTIONS = \
 	  --program-prefix=$(DEB_TARGET_GNU_CPU)-gnu- \
@@ -35,9 +35,9 @@
 	  --host=$(DEB_HOST_GNU_TYPE) \
 	  --target=$(DEB_TARGET_GNU_TYPE)
 CROSSDEP=:$(DEB_TARGET_ARCH)
-ARCHS=$(DEB_TARGET_ARCH)
+ARCHS=$(DEB_TARGET_ARCH_CPU)
 # The cross compiler at this stage does not have these in its standard include
-export TARGET_CPPFLAGS = -I/usr/include -I/usr/include/$(DEB_TARGET_GNU_TYPE) -I/usr/include/$(DEB_TARGET_MULTIARCH) $(CPPFLAGS)
+export TARGET_CPPFLAGS += -I/usr/include -I/usr/include/$(DEB_TARGET_GNU_TYPE) -I/usr/include/$(DEB_TARGET_MULTIARCH)
 define d_a
 $($2)
 endef
@@ -80,7 +80,7 @@
 	dh_install -pmig-$(PKG_DEB_TARGET_GNU_CPU)-gnu /usr/bin/$(DEB_TARGET_GNU_CPU)-gnu-mig
 
 override_dh_gencontrol:
-	dh_gencontrol -- -V"mig:host=mig-$(PKG_DEB_HOST_GNU_CPU)-gnu (= \$${binary:Version})"
+	dh_gencontrol -- -V"mig:host=mig-$(PKG_DEB_HOST_GNU_CPU)-gnu (>= \$${source:Upstream-Version})"
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: tests
Depends: mig-for-host, @builddeps@

=== debian/watch ===
version=3
https://ftp.gnu.org/gnu/mig/	mig-@ANY_VERSION@@ARCHIVE_EXT@	debian	uupdate

## mig 2.0

=== DESCRIPTION ===
Package: mig
Type: Package
Title: Multivariate Inverse Gaussian Distribution
Version: 2.0
Authors@R: c(person(given="Leo", family="Belzile", role = c("aut", "cre"), email = "belzilel@gmail.com", comment = c(ORCID = "0000-0002-9135-014X")), person(given="Frederic", family="Ouimet", email = "frederic.ouimet.23@gmail.com", role = "aut", comment = c(ORCID = "0000-0001-7933-5265")))
Description: Provides utilities for estimation for the multivariate inverse Gaussian distribution of Minami (2003) <doi:10.1081/STA-120025379>, including random vector generation and explicit estimators of the location vector and scale matrix. The package implements kernel density estimators discussed in Belzile, Desgagnes, Genest and Ouimet (2024) <doi:10.48550/arXiv.2209.04757> for smoothing multivariate data on half-spaces.
BugReports: https://github.com/lbelzile/mig/issues
Imports: statmod, TruncatedNormal (>= 2.3), Rcpp (>= 1.0.12)
Depends: R (>= 2.10)
Suggests: numDeriv, tinytest, knitr, rmarkdown, minqa
LinkingTo: Rcpp, RcppArmadillo
Encoding: UTF-8
LazyData: true
License: MIT + file LICENSE
VignetteBuilder: knitr
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2025-04-08 22:13:41 UTC; lbelzile
Author: Leo Belzile [aut, cre] (<https://orcid.org/0000-0002-9135-014X>),
  Frederic Ouimet [aut] (<https://orcid.org/0000-0001-7933-5265>)
Maintainer: Leo Belzile <belzilel@gmail.com>
Repository: CRAN
Date/Publication: 2025-04-08 22:50:02 UTC
